OpenPermit Docs
ReferenceApi

Quote an OpenPermit-compatible storefront order

POST
/api/v1/agent/commerce/quote

Authorization

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

storefrontUrl*string
mandateId*string
items*array<>
idempotencyKey*string
metadata?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/agent/commerce/quote" \  -H "Content-Type: application/json" \  -d '{    "storefrontUrl": "http://example.com",    "mandateId": "string",    "items": [      {}    ],    "idempotencyKey": "string"  }'
{  "status": "quoted",  "storefront": {    "name": "string",    "sellerId": "string",    "resourceId": "string",    "catalogUrl": "http://example.com",    "quoteUrl": "http://example.com",    "checkoutUrl": "http://example.com",    "supportedPaymentMethods": [      "x402"    ],    "chain": "string",    "asset": "string",    "actions": {},    "metadata": {}  },  "quote": {    "quoteId": "string",    "sellerId": "string",    "resourceId": "string",    "amount": "string",    "asset": "string",    "items": [      {        "productId": "string",        "variantId": "string",        "name": "string",        "color": "string",        "size": "string",        "quantity": 1,        "unitAmount": "string",        "totalAmount": "string",        "asset": "string",        "metadata": {}      }    ],    "expiresAt": "string",    "metadata": {}  },  "mandateId": "string",  "policyCheck": "deferredUntilPlaceOrder"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string",  "errors": [    {      "detail": "string",      "pointer": "string"    }  ]}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}